Skip to main content
`Ctrl`+`K`

# PetscLogEventExcludeClass

Deactivates event logging for a PETSc object class in every stage.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventExcludeClass(PetscClassId classid)

Not Collective

## Input Parameter

- classid - The object class, for example `MAT_CLASSID`, `SNES_CLASSID`, etc.

## Note

If a class is excluded then events associated with that class are not logged.

## See Also

Profiling, `PetscLogEventDeactivateClass()`, `PetscLogEventActivateClass()`, `PetscLogEventDeactivate()`, `PetscLogEventActivate()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages